Puzzle / Developers
API referencePayroll

Get Benefits

GET /company/{id}/benefits

GET/company/{id}/benefits

Path Parameters

id*string

The company ID

Length1 <= length

Response Body

application/json

curl -X GET "https://example.com/company/string/benefits"
{  "benefits": [    {      "id": "string",      "nativeId": "string",      "name": "string",      "description": "string",      "type": "medical",      "isPreTax": true,      "dataSource": "string"    }  ]}

Schema refreshed 2026-11-11T18:57:48.657Z